Package org.eclipse.birt.report.engine.api

# Class ImageSize

java.lang.Object
org.eclipse.birt.report.engine.api.ImageSize

public class ImageSize extends Object
Class of image size

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`protected float`
`height`
`protected String`
`unit`
`protected float`
`width`

## Constructor Summary

Constructors
Constructor
Description
`ImageSize(String u, float w, float h)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`float`
`getHeight()`
Get the image size height
`String`
`getUnit()`
Get the image size unit
`float`
`getWidth()`
Get the image size width

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### unit

protected String unit

### width

protected float width

### height

protected float height

## Constructor Details

### ImageSize

public ImageSize(String u, float w, float h)
Constructor

Parameters:
  `u` - unit of image size
  `w` - width of image
  `h` - height of image

## Method Details

### getUnit

public String getUnit()
Get the image size unit

Returns:
  Return the image size unit

### getWidth

public float getWidth()
Get the image size width

Returns:
  Return the image size width

### getHeight

public float getHeight()
Get the image size height

Returns:
  Return the image size height